<template>
  <info-card title="Información general">
    <v-container fluid>
      <info-field field="Descripción">
        <v-text-field
          label=""
          :value="area.description"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Capacidad total">
        <v-text-field
          label=""
          :value="area.totalCapacity"
          suffix="pallets"
          outlined
          readonly
        />
      </info-field>
      <info-field field="Centro de distribución">
        <v-text-field
          label=""
          :value="center.name"
          outlined
          readonly
        />
      </info-field>
    </v-container>
  </info-card>
</template>

<script>
import { mapState } from 'vuex';
import InfoCard from '~/components/Common/Info/InfoCard';
import InfoField from '~/components/Common/Info/InfoField';

export default {
  name: 'GeneralInfo',
  components: {
    InfoCard,
    InfoField,
  },
  computed: {
    ...mapState({
      area: state => state.storage.areas.current.area,
      center: state => state.storage.areas.current.center,
    }),
  },
};
</script>
